be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

## Class ObjectFactory

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcceptedDependencyCategoryType` | `createAcceptedDependencyCategoryType()` Create an instance of `AcceptedDependencyCategoryType`
    `CertificateType` | `createCertificateType()` Create an instance of `CertificateType`
    `ContinenceValueType` | `createContinenceValueType()` Create an instance of `ContinenceValueType`
    `DetailType` | `createDetailType()` Create an instance of `DetailType`
    `DocumentListType` | `createDocumentListType()` Create an instance of `DocumentListType`
    `DocumentType` | `createDocumentType()` Create an instance of `DocumentType`
    `ErrorListType` | `createErrorListType()` Create an instance of `ErrorListType`
    `ErrorType` | `createErrorType()` Create an instance of `ErrorType`
    `IndicationReportType` | `createIndicationReportType()` Create an instance of `IndicationReportType`
    `MessageMetadataType` | `createMessageMetadataType()` Create an instance of `MessageMetadataType`
    `NotificationListType` | `createNotificationListType()` Create an instance of `NotificationListType`
    `NotificationType` | `createNotificationType()` Create an instance of `NotificationType`
    `SpaceValueType` | `createSpaceValueType()` Create an instance of `SpaceValueType`
    `TimeValueType` | `createTimeValueType()` Create an instance of `TimeValueType`
    `ToClothValueType` | `createToClothValueType()` Create an instance of `ToClothValueType`
    `ToEatValueType` | `createToEatValueType()` Create an instance of `ToEatValueType`
    `ToMoveValueType` | `createToMoveValueType()` Create an instance of `ToMoveValueType`
    `ToVisitToiletValueType` | `createToVisitToiletValueType()` Create an instance of `ToVisitToiletValueType`
    `ToWashValueType` | `createToWashValueType()` Create an instance of `ToWashValueType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

  - ### Method Detail

    - #### createMessageMetadataType

          public MessageMetadataType createMessageMetadataType()

      Create an instance of `MessageMetadataType`

    - #### createIndicationReportType

          public IndicationReportType createIndicationReportType()

      Create an instance of `IndicationReportType`

    - #### createErrorListType

          public ErrorListType createErrorListType()

      Create an instance of `ErrorListType`

    - #### createNotificationListType

          public NotificationListType createNotificationListType()

      Create an instance of `NotificationListType`

    - #### createAcceptedDependencyCategoryType

          public AcceptedDependencyCategoryType createAcceptedDependencyCategoryType()

      Create an instance of `AcceptedDependencyCategoryType`

    - #### createCertificateType

          public CertificateType createCertificateType()

      Create an instance of `CertificateType`

    - #### createContinenceValueType

          public ContinenceValueType createContinenceValueType()

      Create an instance of `ContinenceValueType`

    - #### createDetailType

          public DetailType createDetailType()

      Create an instance of `DetailType`

    - #### createDocumentListType

          public DocumentListType createDocumentListType()

      Create an instance of `DocumentListType`

    - #### createDocumentType

          public DocumentType createDocumentType()

      Create an instance of `DocumentType`

    - #### createErrorType

          public ErrorType createErrorType()

      Create an instance of `ErrorType`

    - #### createNotificationType

          public NotificationType createNotificationType()

      Create an instance of `NotificationType`

    - #### createSpaceValueType

          public SpaceValueType createSpaceValueType()

      Create an instance of `SpaceValueType`

    - #### createTimeValueType

          public TimeValueType createTimeValueType()

      Create an instance of `TimeValueType`

    - #### createToClothValueType

          public ToClothValueType createToClothValueType()

      Create an instance of `ToClothValueType`

    - #### createToEatValueType

          public ToEatValueType createToEatValueType()

      Create an instance of `ToEatValueType`

    - #### createToMoveValueType

          public ToMoveValueType createToMoveValueType()

      Create an instance of `ToMoveValueType`

    - #### createToVisitToiletValueType

          public ToVisitToiletValueType createToVisitToiletValueType()

      Create an instance of `ToVisitToiletValueType`

    - #### createToWashValueType

          public ToWashValueType createToWashValueType()

      Create an instance of `ToWashValueType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.